Bug 1261547 - Review Request: gilmsg - A reliability layer on top of fedmsg
Review Request: gilmsg - A reliability layer on top of fedmsg
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 11:23 EDT by Ralph Bean
Modified: 2015-11-13 14:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 13:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
admiller: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2015-09-09 11:23:48 EDT
Spec URL: http://ralph.fedorapeople.org//gilmsg.spec
SRPM URL: http://ralph.fedorapeople.org//gilmsg-0.1.2-1.fc22.src.rpm

Description:
gilmsg layers a reliability check in-band on top of the existing PUB-SUB fedmsg
framework.

Here's how it works, broadly:

- When ``gilmsg.publish(...)`` is invoked, you must declare a list of required
  recipients.
- A background thread is started that listens for ACK messages on
  the whole bus.
- If an ACK is not received from all ``recipients`` within a given timeout,
  then a ``Timeout`` exception is raised.
Comment 1 Ralph Bean 2015-09-09 11:23:51 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=11019165
Comment 2 Adam Miller 2015-09-09 12:08:48 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1 or later)", "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/admiller/reviews/1261547-gilmsg/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gilmsg-0.1.2-1.fc24.noarch.rpm
          gilmsg-0.1.2-1.fc24.src.rpm
gilmsg.noarch: W: no-manual-page-for-binary gilmsg-logger
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
gilmsg.noarch: W: no-manual-page-for-binary gilmsg-logger
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
gilmsg (rpmlib, GLIBC filtered):
    /usr/bin/python2
    fedmsg
    python(abi)



Provides
--------
gilmsg:
    gilmsg



Source checksums
----------------
https://pypi.python.org/packages/source/g/gilmsg/gilmsg-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : bc108b3b45a3c3c1ca517bdfccb9f9cf3e3f4f5d724accf70ecf82acfd2b5166
  CHECKSUM(SHA256) upstream package : bc108b3b45a3c3c1ca517bdfccb9f9cf3e3f4f5d724accf70ecf82acfd2b5166


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1261547 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Adam Miller 2015-09-09 12:09:06 EDT
Package Review: PASS
Comment 4 Ralph Bean 2015-09-09 15:28:34 EDT
New Package SCM Request
=======================
Package Name: gilmsg
Short Description: A reliability layer on top of fedmsg
Upstream URL: https://pypi.python.org/pypi/gilmsg
Owners: ralph
Branches: f23 f22 f21 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2015-09-10 09:17:46 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-09-11 12:50:47 EDT
gilmsg-0.1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15630
Comment 7 Fedora Update System 2015-09-11 12:51:31 EDT
gilmsg-0.1.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15631
Comment 8 Fedora Update System 2015-09-11 12:52:16 EDT
gilmsg-0.1.2-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15632
Comment 9 Fedora Update System 2015-09-11 12:52:55 EDT
gilmsg-0.1.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8045
Comment 10 Fedora Update System 2015-09-12 17:25:21 EDT
gilmsg-0.1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gilmsg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15630
Comment 11 Fedora Update System 2015-09-12 23:49:12 EDT
gilmsg-0.1.2-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gilmsg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15632
Comment 12 Fedora Update System 2015-09-13 00:20:24 EDT
gilmsg-0.1.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gilmsg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15631
Comment 13 Fedora Update System 2015-09-13 22:49:44 EDT
gilmsg-0.1.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update gilmsg'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8045
Comment 14 Fedora Update System 2015-10-03 13:59:07 EDT
gilmsg-0.1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-10-03 17:17:56 EDT
gilmsg-0.1.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-10-03 17:53:15 EDT
gilmsg-0.1.2-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-11-13 14:26:35 EST
gilmsg-0.1.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.